Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-72707

Update upgrade_stale_php_files_present() before 4.0 release

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 4.0
    • Fix Version/s: 4.0
    • Component/s: Installation
    • Labels:
    • Affected Branches:
      MOODLE_400_STABLE
    • Fixed Branches:
      MOODLE_400_STABLE
    • Pull Master Branch:
    • Testing Instructions:
      Hide

      Note: TARGET for this issue is:

      1. master

      web

      1. Create/check out a 3.11.x site. For example:

        git checkout v3.11.0
        

      2. Install the 3.11 site.
      3. Check out the TARGET branch

        git checkout TARGET
        

      4. Create any of the following files that are being detected by the patch. (e.g. on Linux, use the "touch" command):
        • admin/cli/mysql_engine.php

          touch admin/cli/mysql_engine.php
          

        • lib/typo3/class.t3lib_cs.php

          touch lib/typo3/class.t3lib_cs.php
          

        • ...
      5. Open your Moodle instance on your browser.
      6. Log in as admin and proceed with the upgrade.
      7. Verify that a notice ("Mixed Moodle versions detected....") is displayed saying that there are problems upgrading and a proper procedure for upgrading to a major release.
      8. Delete the touched file(s) in point 4.
      9. Click "Reload".
      10. Verify that the upgrade now proceeds ok.

      cli

      1. Repeat points 1-4 from the "web" instructions.
      2. Run the CLI upgrade

        php admin/cli/upgrade.php
        

      3. Verify that a text ("Mixed Moodle versions detected....") is displayed saying that there are problems upgrading and a proper procedure for upgrading to a major release.
      4. Delete the touched file(s) in point web - 4.
      5. Run the CLI upgrade again

        php admin/cli/upgrade.php
        

      6. Verify that now the process runs ok, with a prompt asking you for confirmation and then a number of upgrade steps and settings being setup.
      7. Verify that the process ends with a text like this (the numbers are not important), the "successfully" is.:

        Command line upgrade from XXXXX (Build: XXXXX) (XXXXX) to XXXXX (Build: XXXXX) (XXXXX) completed successfully.

      Show
      Note: TARGET for this issue is: master web Create/check out a 3.11.x site. For example: git checkout v3.11.0 Install the 3.11 site. Check out the TARGET branch git checkout TARGET Create any of the following files that are being detected by the patch. (e.g. on Linux, use the " touch " command): admin/cli/mysql_engine.php touch admin/cli/mysql_engine.php lib/typo3/class.t3lib_cs.php touch lib/typo3/class.t3lib_cs.php ... Open your Moodle instance on your browser. Log in as admin and proceed with the upgrade. Verify that a notice ("Mixed Moodle versions detected....") is displayed saying that there are problems upgrading and a proper procedure for upgrading to a major release. Delete the touched file(s) in point 4. Click " Reload ". Verify that the upgrade now proceeds ok. cli Repeat points 1-4 from the "web" instructions. Run the CLI upgrade php admin/cli/upgrade.php Verify that a text ("Mixed Moodle versions detected....") is displayed saying that there are problems upgrading and a proper procedure for upgrading to a major release. Delete the touched file(s) in point web - 4. Run the CLI upgrade again php admin/cli/upgrade.php Verify that now the process runs ok, with a prompt asking you for confirmation and then a number of upgrade steps and settings being setup. Verify that the process ends with a text like this (the numbers are not important), the "successfully" is.: Command line upgrade from XXXXX (Build: XXXXX) (XXXXX) to XXXXX (Build: XXXXX) (XXXXX) completed successfully.

      Description

      Simply verify we have a number (4-5) of files for the next major release. They all must be files deleted since last stable version (311) and current master.

      git diff --name-status MOODLE_XX_STABLE..master | grep ^D
      

      And, then, simply, add them to upgrade_stale_php_files_present().

      Note that it's better not to pick any plugin file that maybe reinstalled manually (exception being forum files because that plugin is mandatory).

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              stronk7 Eloy Lafuente (stronk7)
              Reporter:
              stronk7 Eloy Lafuente (stronk7)
              Integrator:
              Andrew Lyons Andrew Lyons
              Tester:
              Gladys Basiana Gladys Basiana
              Participants:
              Component watchers:
              Matteo Scaramuccia, Andrew Lyons, Dongsheng Cai, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 0 minutes
                  0m
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 3 hours, 21 minutes
                  3h 21m